PCPPI(4)

NAME
pcppi - PC (ISA) control and timer port driver

SYNOPSIS
pcppi* at isa?
spkr0 at pcppi?

DESCRIPTION
The pcppi driver handles resource allocation and device attachment for the ports related to the ISA speaker in the traditional PC/AT “design”. These are the “system control port” (which was implemented by the 8255 “PPI” in the XT, hence the name of this driver) at I/O address 0x61 and the first 8253 timer at 0x40-0x43.

The pcppi driver provides its child devices with the ability to output simple tones through the PC speaker. The speaker(4) device uses this to synthesize sounds. It also provides helper functions to the pckbd(4) driver as a substitute for a “keyboard beep”, because the PC keyboard hardware doesn't provide this.

SEE ALSO
intro(4), isa(4), pckbd(4), speaker(4)